#include <stdio.h>
#define N 10

int main(){
	char array[N] = { 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j' };
	char reverse[N];
	int i;
	char tmp;

	for(i=0; i<N; i++){
		reverse[N-i-1]=array[i];
	}

	/* Inversione in-place */
	for(i=0; i<N/2; i++){
		tmp=array[N-i-1];
		array[N-i-1]=array[i];
		array[i]=tmp;
	}
	
	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");
	for(i=0; i<N; i++) printf("%c", reverse[i]);
	printf("\n");

	return 0;
}
